
Redmine - Defect #2382

private method `gsub' called for nil:NilClass

2008-12-23 00:19 - Ilya Skorik

Status: Closed Start date: 2008-12-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

ActionView::TemplateError (private method `gsub' called for nil:NilClass) on line #11 of projects/activity.rhtml:

8: <% @events_by_day[day].sort {|x,y| y.event_datetime <=> x.event_datetime }.each do |e| ->

9:   <dt class="<= e.event_type >"><span class="time"><= format_time(e.event_datetime, false) ></span>

10:   <= content_tag('span', h(e.project), :class => 'project') if @project.nil? || Herve Harster != e.project >

11:   <= link_to format_activity_title(e.event_title), e.event_url ></dt>

12:   <dd>< unless e.event_description.blank? ->

13:   <span class="description"><= format_activity_description(e.event_description) ></span><br />

14:   < end %>

History

#1 - 2008-12-24 10:48 - Jean-Philippe Lang

Attach the stack trace please.

And please have a look at SubmittingBugs.

#2 - 2008-12-24 11:51 - Ilya Skorik

Sorry, i'm noob in rubby =)

Processing ProjectsController#activity (for 93.81.252.247 at 2008-12-22 23:09:48) [GET]

Session ID: 95aa1457306d69b05381aefc8dec715a

Parameters: {"action"=>"activity", "id"=>"inprint-content", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/activity

ActionView::TemplateError (private method `gsub' called for nil:NilClass) on line #11 of projects/activity.rhtml:

8: <% @events_by_day[day].sort {|x,y| y.event_datetime <=> x.event_datetime }.each do |e| ->

9:   <dt class="<= e.event_type >"><span class="time"><= format_time(e.event_datetime, false) ></span>

10:   <= content_tag('span', h(e.project), :class => 'project') if @project.nil? || Herve Harster != e.project >

11:   <= link_to format_activity_title(e.event_title), e.event_url ></dt>

12:   <dd>< unless e.event_description.blank? ->

13:   <span class="description"><= format_activity_description(e.event_description) ></span><br />

14:   < end %>

app/helpers/application_helper.rb:95:in `truncate_single_line'

    app/helpers/projects_helper.rb:25:in `format_activity_title'

    app/views/projects/activity.rhtml:11:in `_run_erb_47app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:8:in `each'

    app/views/projects/activity.rhtml:8:in `_run_erb_47app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:5:in `each'

    app/views/projects/activity.rhtml:5:in `_run_erb_47app47views47projects47activity46rhtml'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `send'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `compile_and_render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:365:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:316:in `render_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:1100:in `render_for_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:836:in `render_with_no_layout'

    vendor/rails/actionpack/lib/action_controller/layout.rb:262:in `render_without_benchmark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1153:in `default_render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1159:in `perform_action_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:697:in `call_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:689:in `perform_action_without_benchmark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'
    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

    vendor/rails/actionpack/lib/action_controller/rescue.rb:199:in `perform_action_without_caching'

    vendor/rails/actionpack/lib/action_controller/caching.rb:678:in `perform_action'

    vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'

    vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    vendor/rails/actionpack/lib/action_controller/caching.rb:677:in `perform_action'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `send'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `process_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:685:in `process_without_session_management_suppor

t'

    vendor/rails/actionpack/lib/action_controller/session_management.rb:123:in `process'

    vendor/rails/actionpack/lib/action_controller/base.rb:388:in `process'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in `handle_request'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:in `dispatch'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:in `dispatch'

    /usr/lib/ruby/1.8/mongrel/rails.rb:76:in `process'

    /usr/lib/ruby/1.8/mongrel/rails.rb:74:in `synchronize'

    /usr/lib/ruby/1.8/mongrel/rails.rb:74:in `process'

    /usr/lib/ruby/1.8/mongrel.rb:159:in `process_client'

    /usr/lib/ruby/1.8/mongrel.rb:158:in `each'

    /usr/lib/ruby/1.8/mongrel.rb:158:in `process_client'

    /usr/lib/ruby/1.8/mongrel.rb:285:in `run'

    /usr/lib/ruby/1.8/mongrel.rb:285:in `initialize'

    /usr/lib/ruby/1.8/mongrel.rb:285:in `new'

    /usr/lib/ruby/1.8/mongrel.rb:285:in `run'

    /usr/lib/ruby/1.8/mongrel.rb:268:in `initialize'

    /usr/lib/ruby/1.8/mongrel.rb:268:in `new'

    /usr/lib/ruby/1.8/mongrel.rb:268:in `run'

    /usr/lib/ruby/1.8/mongrel/configurator.rb:282:in `run'

    /usr/lib/ruby/1.8/mongrel/configurator.rb:281:in `each'

    /usr/lib/ruby/1.8/mongrel/configurator.rb:281:in `run'

    /usr/bin/mongrel_rails:129:in `run'

    /usr/lib/ruby/1.8/mongrel/command.rb:212:in `run'

    /usr/bin/mongrel_rails:282

 Rendering /var/www/redmine-0.7.3/public/500.html (500 Internal Server Error)

#3 - 2008-12-24 11:55 - Ilya Skorik

- Status changed from New to Resolved

Soryy, this is not 0.8.0rc1 bug!

#4 - 2008-12-24 13:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (0.8.0-RC1)

- Resolution set to Invalid
